/*Toggle expandable menu after click */
! function () {
  respMenu();
  setForms();
  scrollUp();
  /*Menu items: click to go and collapse in burger menu */
  function respMenu() {
    const navLinks = document.querySelectorAll('#navbar .nav-item')
    const menuToggle = document.querySelector('#navbar .collapse')
    const bsCollapse = new bootstrap.Collapse(menuToggle, {
      toggle: false
    })
    navLinks.forEach((l) => {
      l.addEventListener('click', () => {
        if (window.innerWidth < 768) {
          bsCollapse.toggle()
        }
      })
    })
  }
  
  /*Forms validation and submit*/
  function setForms() {
    var forms = document.querySelectorAll('.needs-validation');
    forms = Array.from(forms);
    forms.forEach(function(form){
      form.addEventListener('submit', function (event) {
        event.preventDefault()
        if (!form.checkValidity()) {
          event.stopPropagation()
        } else {
          sendForm(form);
        }
        form.classList.add('was-validated')
      }, false)
    })
  }
  /*Form data sent using fetch*/
  /*In demo the form sends data to file post.php*/
  /*post.php return a text: Error or Ok */
  function sendForm(form) {
    const data = new FormData(form);
    fetch("post.php", {
        method: "POST",
        body: data
      })
      .then(function (response) {
        if (!response.ok) {
          let vnt = document.getElementById('respForm');
          let cont = vnt.querySelector('.modal-body');
          cont.innerHTML = "<p>There was a net error. Please, try again later.</p>";
          vnt = bootstrap.Modal.getOrCreateInstance(vnt);
          vnt.show();
        }
        return response.text();
      })
      .then(function (data) {
        let vnt = document.getElementById('respForm');
        let cont = vnt.querySelector('.modal-body');
        if (data != 'Error') {
          cont.innerHTML = "<p>Thanks you for contacting us</p>" + data;
        } else {
          cont.innerHTML = "<p>Oh, There was an error. Please, try again later. " + data + "</p>";
        }
        vnt = bootstrap.Modal.getOrCreateInstance(vnt);
        vnt.show();
      })
  }
 /*Button back to top*/ 
 function scrollUp(){
    //Get the button
    let mybutton = document.getElementById("btn-back-to-top");
    let offset = 20
    // When the user scrolls down 20px (offset) from the top of the document, show the button
    window.onscroll = function () {
      scrollFunction();
    };

    function scrollFunction() {
    if (document.body.scrollTop > offset ||document.documentElement.scrollTop > offset) {
      mybutton.style.display = "block";
    } else {
      mybutton.style.display = "none";  
      }
    }
    // When the user clicks on the button, scroll to the top of the document
    mybutton.addEventListener("click", backToTop);

    function backToTop() {
      document.body.scrollTop = 0;
      document.documentElement.scrollTop = 0;
    }
 } 

}()
